import { FC, ReactElement } from 'react';
export interface ISettingsSections {
    title: string;
    type: string;
    onChange?: (val: string) => void;
    items: {
        label: string;
        name: string;
        value: string;
        colorBox?: string;
        element?: ReactElement;
        text?: string;
        disabled?: boolean;
    }[];
}
export interface SettingsProps {
    allSettings: ISettingsSections[];
}
export declare const Settings: FC<SettingsProps>;
